package org.ta.pddserver.utils;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.Data;

@Data
public class PersEcmQryRtnErrInfoVo {

    @JacksonXmlProperty(localName = "errMsgCn")
    private String errMsgCn; // 错误信息（韩文）

    public String analyzeErrorMessage() {
        if (errMsgCn.equals("납세의무자 개인통관고유부호가 존재하지 않습니다.")) {
            return "纳税人个人通关唯一编号不存在。" + errMsgCn;
        }
        if (errMsgCn.equals("현재 사용중이 아닌 개인통관고유부호 입니다.")) {
            return "当前未使用的个人通关唯一编号。" + errMsgCn;
        }
        if (errMsgCn.startsWith("입력하신 납세의무자명")) {
            return "您输入的纳税人姓名与个人通关唯一编号的姓名不一致。" + errMsgCn;
        }
        if (errMsgCn.equals("개인통관고유부호 정보변경(휴대전화번호 인증)후 신고하시기 바랍니다.")) {
            return "请在变更个人通关唯一编号信息（手机号码验证）后进行申报。" + errMsgCn;
        }
        if (errMsgCn.equals("납세의무자 전화번호가 일치하지 않습니다.")) {
            return "纳税人电话号码不一致。" + errMsgCn;
        }
        if (errMsgCn.equals("입력하신 우편번호가 개인통관고유부호 우편번호(배송주소)와 일치하지 않습니다.")) {
            return "您输入的邮政编码与个人通关唯一编号邮政编码（配送地址）不一致。" + errMsgCn;
        }
        if (errMsgCn.equals("유효기간이 만료 된 개인통관고유부호입니다.")) {
            return "有效期已过期的个人通关唯一编号。" + errMsgCn;
        }
        if (errMsgCn.equals("입력하신 납세의무자(영문)명이 개인통관고유부호의 성명과 일치하지 않습니다.")) {
            return "您输入的纳税人（英文）姓名与个人通关唯一号码姓名不一致。" + errMsgCn;
        }
        return errMsgCn;

    }
}
